use fig_2.dta, clear
graph set window fontface "Palatino Linotype"
set graph off

local varlist riots antigov strikes physint amnesty statedept 
local tlist "Riots" "Demonstrations" "General strikes" "CIRI physical integrity" "Amnesty score" "State department score"
local yearlist 2012 2012 2012 2011 2012 2012

forv i=1/6 {
	local var : word `i' of `varlist'
	local t: word `i' of `tlist'
	local t: di "`t'"
	local year: word `i' of `yearlist'
	local sc ""

	if `i'==4 {
	local ymin = -8
	local ymax = 0
	local sc "ysc(range(`ymin' `ymax')) ylab(-8(2)0)"
}

graph tw ///
		(sc `var' year if country=="Morocco" 	& year>=2008 & year<=`year', msymbol(S)  lpattern(dash) connect(L)) ///
		(sc `var' year if country=="Egypt" 		& year>=2008 & year<=`year', msymbol(Oh)  lpattern(solid) connect(L)) ///
		(sc `var' year if country=="Tunisia" 	& year>=2008 & year<=`year', msymbol(T)  lpattern(dot) connect(L)) ///
		(sc `var' year if country=="Syria" 		& year>=2008 & year<=`year', msymbol(Sh) lpattern(dash) connect(L)) ///
		(sc `var' year if country=="Libya" 		& year>=2008 & year<=`year', msymbol(Th) lpattern(dot) connect(L)) ///
 		(sc `var' year if country=="Algeria" 	& year>=2008 & year<=`year', msymbol(O)  lpattern(solid) connect(L)) ///
 		, 		 ///
		legend(order(6 1 3 2  4 5) size(small)  col(3) span label(1 "Morocco") label(2 "Egypt") label(3 "Tunisia") ///
			label(4 "Syria")  label(5 "Libya") label(6 "Algeria")) 	///
		yti("`t'")  xti("Year") `sc'
	graph save g`var', replace
}

set graph on


local var xpolity
graph tw ///
		(sc `var' year if country=="Morocco" 	& year>=2008 & year<=2012, msymbol(S)  lpattern(dash) connect(L)) ///
		(sc `var' year if country=="Egypt" 		& year>=2008 & year<=2012, msymbol(Oh)  lpattern(solid) connect(L)) ///
		(sc `var' year if country=="Tunisia" 	& year>=2008 & year<=2012, msymbol(T)  lpattern(dot) connect(L)) ///
		(sc `var' year if country=="Syria" 		& year>=2008 & year<=2012, msymbol(Sh) lpattern(dash) connect(L)) ///
		(sc `var' year if country=="Libya" 		& year>=2008 & year<=2012, msymbol(Th) lpattern(dot) connect(L)) ///
 		(sc `var' year if country=="Algeria" 	& year>=2008 & year<=2012, msymbol(O)  lpattern(solid) connect(L)) ///
 		,  ///
		legend(order(6 1 3 2  4 5) size(small) col(3) span label(1 "Morocco") label(2 "Egypt") label(3 "Tunisia") ///
			label(4 "Syria")  label(5 "Libya") label(6 "Algeria") ) ///
		yti("XPolity score") xti("Year") ysc(range(-6(2)6)) ylab(-6(2)6)
	graph save g`var', replace

set graph off
grc1leg gantigov.gph griots.gph gstrikes.gph , col(3) imargin(2 1 1 1 )
graph save gtest, replace

grc1leg gxpolity.gph  gphysint.gph,  imargin(2 1 1 1 )
graph save gtest2, replace
set graph on

grc1leg gtest2.gph gtest.gph, row(2) iscale(*1.25)  imargin(0 0 0 0 )
	graph export "arabspring_combined.pdf", replace





